# Importion of modules
import os
import sys
import pygame

# Own modules
import letters


# Initialize pygame
pygame.init()

class LiquidMachineOutputDisplay( pygame.sprite.Sprite ):
	"""
	"""

	def __init__( self, value, top_left, colour, size, machine_colour ):
		"""
		"""
		pygame.sprite.Sprite.__init__( self )

		self.top_left = top_left
		self.colour = colour
		self.size = size
		self.machine_colour = machine_colour

		self.current_liquid_output = int( value )
		
		
		self.word = letters.Word( str( self.current_liquid_output ), self.top_left, self.colour, self.size )
		self.image = self.word.image
		self.rect = self.word.rect

		self.where_to_display()



	def update( self, liquid_output_of_machine ):
		"""
		"""

		self.get_current_liquid_output( liquid_output_of_machine )
		self.where_to_display()
		
	def get_current_liquid_output( self, current_liquid_output_of_machine ):
		"""
		"""

		if str( current_liquid_output_of_machine ) != self.current_liquid_output:
			# Refresh the "display".
			self.current_liquid_output = current_liquid_output_of_machine

			self.refresh_display()


	def refresh_display( self ):
		"""
		"""

		self.word = letters.Word( str( self.current_liquid_output ), self.top_left, self.colour, self.size )
		self.image = self.word.image
		self.rect = self.word.rect

	def where_to_display( self ):
		"""
		"""

		if self.current_liquid_output <  10:
			self.rect.left = self.rect.left + 24
		elif self.current_liquid_output < 100:
			self.rect.left = self.rect.left + 12
