# Importion of modules
import os
import sys
import pygame

# Own modules
import letters


# Initialize pygame
pygame.init()

class VesselLiquidInputDisplay( pygame.sprite.Sprite ):
	"""
	"""

	def __init__( self, value, top_left, colour, size, liquid_colour ):
		"""
		"""
		pygame.sprite.Sprite.__init__( self )

		self.top_left = top_left
		self.colour = colour
		self.size = size
		self.liquid_colour = liquid_colour

		self.total_liquid_input = int( value )
		
		
		self.word = letters.Word( str( self.total_liquid_input ), self.top_left, self.colour, self.size )
		self.image = self.word.image
		self.rect = self.word.rect

		self.where_to_display()

		self.run_off_open = False



	def update( self, current_liquid_input ):
		"""
		"""

		self.total_liquid_input = current_liquid_input
		self.refresh_display()
		self.where_to_display()


	def refresh_display( self ):
		"""
		"""

		self.word = letters.Word( str( self.total_liquid_input ), self.top_left, self.colour, self.size )
		self.image = self.word.image
		self.rect = self.word.rect

	def where_to_display( self ):
		"""
		"""

		if self.total_liquid_input <  10:
			self.rect.left = self.rect.left + 24
		elif self.total_liquid_input < 100:
			self.rect.left = self.rect.left + 12
