# Importion of modoules
import os
import sys

import pygame

# Initialization of pygame
pygame.init()



# Functions
def load_image( file_name ):
	"""
	This function loads an image and returns a Pygame surface object.

	Parameters
		file_name	String
			The string that contains the name of the image.

	Return value
		Pygame surface
			The image as a pygame surface object.
	"""

	return pygame.image.load( os.path.join( "src", "img", file_name ) )


def load_sound( file_name ):
	"""
	This function loads a sound ( a .WAV or .MAP file ) and returns the pygame sound object.

	Parameters
		file_name String
			The stirng that contains the name of the image.

	Return value
		Pygame sound
			The sound as a pygame sound object.
	"""

	return pygame.mixer.Sound( os.path.join( file_name ) )
